Administrative Message

Administrative Message – 3D Secure OTP

Sends message with 3D Secure OTP.

KLV data – ‘3D Secure OTP’ = 900.

Only if the 3DS validation option is ‘SMS OTP’:

  • Original transaction amount = 004
  • Merchant description = 043
  • Original currency code = 049

KLV data – ‘3D Secure OTP RefCode’ = 934.

For more information on KLV data, click KLV Format


REQUEST

PATH PARAMETERS

ParameterType & ConstraintsDescription
terminalIDstring (10 characters), requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring (1–255 characters), requiredThe reference of the wallet the 3DS authentication is being actioned on
messageNamestring (0–2048 characters), requiredThe name of the administrative message being sent
messageDatastring (0–2048 characters), requiredThe administrative message data sent over in a KLV Format
transactionIDstring (1–255 characters), requiredTransaction ID generated by the calling client. This value is not unique and may be duplicated
transactionDatedate, requiredTransaction date generated by the calling client
checksumstring, requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
  <methodName>AdministrativeMessage</methodName>
  <params>
    <param><value><string>0048149752</string></value></param>
    <param><value><string>32446085</string></value></param>
    <param><value><string>3DSecureOTP</string></value></param>
    <param>
      <value>
        <string>
          4603253853400000093700404180004305test10490384090006726326
        </string>
      </value>
    </param>
    <param><value><string>460325381</string></value></param>
    <param>
      <value>
        <dateTime.iso8601>20210401T14:12:22</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>69291805E1C24E5A3ABEF5A7E0104D1E31324F4E</string>
      </value>
    </param>
  </params>
</methodCall>

RESPONSE

STATUS: 200 OK

SCHEMA

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result
<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value><int>1</int></value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>